TarConstants (Apache Ant API)
Description: declaration: package: org.apache.tools.tar, interface: TarConstants

Package org.apache.tools.tar

# Interface TarConstants

All Known Implementing Classes:
  `TarArchiveSparseEntry`, `TarEntry`

    public interface TarConstants

This interface contains all the definitions used in the package. For tar formats (FORMAT_OLDGNU, FORMAT_POSIX, etc.) see GNU tar tar.h type enum archive_format

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `ATIMELEN_GNU` | The length of the access time field in an old GNU header buffer.
  `static int` | `CHKSUMLEN` | The length of the checksum field in a header buffer.
  `static int` | `CTIMELEN_GNU` | The length of the created time field in an old GNU header buffer.
  `static int` | `DEVLEN` | The length of each of the device fields (major and minor) in a header buffer.
  `static int` | `FORMAT_OLDGNU` | GNU format as per before tar 1.12.
  `static int` | `FORMAT_POSIX` | Pure Posix format.
  `static int` | `GIDLEN` | The length of the group id field in a header buffer.
  `static int` | `GNAMELEN` | The length of the group name field in a header buffer.
  `static java.lang.String` | `GNU_LONGLINK` | The name of the GNU tar entry which contains a long name.
  `static java.lang.String` | `GNU_TMAGIC` | The magic tag representing a GNU tar archive.
  `static int` | `ISEXTENDEDLEN_GNU` | The length of the is extension field in an old GNU header buffer.
  `static int` | `ISEXTENDEDLEN_GNU_SPARSE` | The length of the is extension field in a sparse header buffer.
  `static byte` | `LF_BLK` | Block device file type.
  `static byte` | `LF_CHR` | Character device file type.
  `static byte` | `LF_CONTIG` | Contiguous file type.
  `static byte` | `LF_DIR` | Directory file type.
  `static byte` | `LF_FIFO` | FIFO (pipe) file type.
  `static byte` | `LF_GNUTYPE_LONGLINK` | Identifies the *next* file on the tape as having a long linkname.
  `static byte` | `LF_GNUTYPE_LONGNAME` | Identifies the *next* file on the tape as having a long name.
  `static byte` | `LF_GNUTYPE_SPARSE` | Sparse file type.
  `static byte` | `LF_LINK` | Link file type.
  `static byte` | `LF_NORMAL` | Normal file type.
  `static byte` | `LF_OLDNORM` | LF_ constants represent the "link flag" of an entry, or more commonly, the "entry type".
  `static byte` | `LF_PAX_EXTENDED_HEADER_LC` | Identifies the entry as a Pax extended header.
  `static byte` | `LF_PAX_EXTENDED_HEADER_UC` | Identifies the entry as a Pax extended header (SunOS tar -E).
  `static byte` | `LF_PAX_GLOBAL_EXTENDED_HEADER` | Identifies the entry as a Pax global extended header.
  `static byte` | `LF_SYMLINK` | Symbolic link file type.
  `static int` | `LONGNAMESLEN_GNU` | The length of the long names field in an old GNU header buffer.
  `static int` | `MAGIC_OFFSET` | Offset of start of magic field within header record
  `static java.lang.String` | `MAGIC_POSIX` | The magic tag representing a POSIX tar archive.
  `static int` | `MAGICLEN` | The length of the magic field in a header buffer including the version.
  `static long` | `MAXID` | The maximum value of gid/uid in a tar archive which can be expressed in octal char notation (that's 7 sevens, octal).
  `static long` | `MAXSIZE` | The maximum size of a file in a tar archive which can be expressed in octal char notation (that's 11 sevens, octal).
  `static int` | `MODELEN` | The length of the mode field in a header buffer.
  `static int` | `MODTIMELEN` | The length of the modification time field in a header buffer.
  `static int` | `NAMELEN` | The length of the name field in a header buffer.
  `static int` | `OFFSETLEN_GNU` | The length of the multivolume start offset field in an old GNU header buffer.
  `static int` | `PAD2LEN_GNU` | The length of the padding field in an old GNU header buffer.
  `static int` | `PREFIXLEN` | Length of the prefix field.
  `static int` | `PURE_MAGICLEN` | The length of the magic field in a header buffer.
  `static int` | `REALSIZELEN_GNU` | The length of the real size field in an old GNU header buffer.
  `static int` | `SIZELEN` | The length of the size field in a header buffer.
  `static int` | `SPARSELEN_GNU` | The sum of the length of all sparse headers in an old GNU header buffer.
  `static int` | `SPARSELEN_GNU_SPARSE` | The sum of the length of all sparse headers in a sparse header buffer.
  `static java.lang.String` | `TMAGIC` |
  `static int` | `UIDLEN` | The length of the user id field in a header buffer.
  `static int` | `UNAMELEN` | The length of the user name field in a header buffer.
  `static java.lang.String` | `VERSION_GNU_SPACE` |
  `static java.lang.String` | `VERSION_GNU_ZERO` |
  `static int` | `VERSION_OFFSET` | Offset of start of magic field within header record
  `static java.lang.String` | `VERSION_POSIX` |
  `static int` | `VERSIONLEN` | Previously this was regarded as part of "magic" field, but it is separate.

- ## Field Details

  - ### FORMAT_OLDGNU

    static final int FORMAT_OLDGNU
    GNU format as per before tar 1.12.
    See Also:
      Constant Field Values

  - ### FORMAT_POSIX

    static final int FORMAT_POSIX
    Pure Posix format.
    See Also:
      Constant Field Values

  - ### NAMELEN

    static final int NAMELEN
    The length of the name field in a header buffer.
    See Also:
      Constant Field Values

  - ### MODELEN

    static final int MODELEN
    The length of the mode field in a header buffer.
    See Also:
      Constant Field Values

  - ### UIDLEN

    static final int UIDLEN
    The length of the user id field in a header buffer.
    See Also:
      Constant Field Values

  - ### GIDLEN

    static final int GIDLEN
    The length of the group id field in a header buffer.
    See Also:
      Constant Field Values

  - ### MAXID

    static final long MAXID
    The maximum value of gid/uid in a tar archive which can be expressed in octal char notation (that's 7 sevens, octal).
    See Also:
      Constant Field Values

  - ### CHKSUMLEN

    static final int CHKSUMLEN
    The length of the checksum field in a header buffer.
    See Also:
      Constant Field Values

  - ### SIZELEN

    static final int SIZELEN
    The length of the size field in a header buffer. Includes the trailing space or NUL.
    See Also:
      Constant Field Values

  - ### MAXSIZE

    static final long MAXSIZE
    The maximum size of a file in a tar archive which can be expressed in octal char notation (that's 11 sevens, octal).
    See Also:
      Constant Field Values

  - ### MAGIC_OFFSET

    static final int MAGIC_OFFSET
    Offset of start of magic field within header record
    See Also:
      Constant Field Values

  - ### MAGICLEN

    static final int MAGICLEN
    The length of the magic field in a header buffer including the version.
    See Also:
      Constant Field Values

  - ### PURE_MAGICLEN

    static final int PURE_MAGICLEN
    The length of the magic field in a header buffer.
    See Also:
      Constant Field Values

  - ### VERSION_OFFSET

    static final int VERSION_OFFSET
    Offset of start of magic field within header record
    See Also:
      Constant Field Values

  - ### VERSIONLEN

    static final int VERSIONLEN
    Previously this was regarded as part of "magic" field, but it is separate.
    See Also:
      Constant Field Values

  - ### MODTIMELEN

    static final int MODTIMELEN
    The length of the modification time field in a header buffer.
    See Also:
      Constant Field Values

  - ### UNAMELEN

    static final int UNAMELEN
    The length of the user name field in a header buffer.
    See Also:
      Constant Field Values

  - ### GNAMELEN

    static final int GNAMELEN
    The length of the group name field in a header buffer.
    See Also:
      Constant Field Values

  - ### DEVLEN

    static final int DEVLEN
    The length of each of the device fields (major and minor) in a header buffer.
    See Also:
      Constant Field Values

  - ### PREFIXLEN

    static final int PREFIXLEN
    Length of the prefix field.
    See Also:
      Constant Field Values

  - ### ATIMELEN_GNU

    static final int ATIMELEN_GNU
    The length of the access time field in an old GNU header buffer.
    See Also:
      Constant Field Values

  - ### CTIMELEN_GNU

    static final int CTIMELEN_GNU
    The length of the created time field in an old GNU header buffer.
    See Also:
      Constant Field Values

  - ### OFFSETLEN_GNU

    static final int OFFSETLEN_GNU
    The length of the multivolume start offset field in an old GNU header buffer.
    See Also:
      Constant Field Values

  - ### LONGNAMESLEN_GNU

    static final int LONGNAMESLEN_GNU
    The length of the long names field in an old GNU header buffer.
    See Also:
      Constant Field Values

  - ### PAD2LEN_GNU

    static final int PAD2LEN_GNU
    The length of the padding field in an old GNU header buffer.
    See Also:
      Constant Field Values

  - ### SPARSELEN_GNU

    static final int SPARSELEN_GNU
    The sum of the length of all sparse headers in an old GNU header buffer.
    See Also:
      Constant Field Values

  - ### ISEXTENDEDLEN_GNU

    static final int ISEXTENDEDLEN_GNU
    The length of the is extension field in an old GNU header buffer.
    See Also:
      Constant Field Values

  - ### REALSIZELEN_GNU

    static final int REALSIZELEN_GNU
    The length of the real size field in an old GNU header buffer.
    See Also:
      Constant Field Values

  - ### SPARSELEN_GNU_SPARSE

    static final int SPARSELEN_GNU_SPARSE
    The sum of the length of all sparse headers in a sparse header buffer.
    See Also:
      Constant Field Values

  - ### ISEXTENDEDLEN_GNU_SPARSE

    static final int ISEXTENDEDLEN_GNU_SPARSE
    The length of the is extension field in a sparse header buffer.
    See Also:
      Constant Field Values

  - ### LF_OLDNORM

    static final byte LF_OLDNORM
    LF_ constants represent the "link flag" of an entry, or more commonly, the "entry type". This is the "old way" of indicating a normal file.
    See Also:
      Constant Field Values

  - ### LF_NORMAL

    static final byte LF_NORMAL
    Normal file type.
    See Also:
      Constant Field Values

  - ### LF_LINK

    static final byte LF_LINK
    Link file type.
    See Also:
      Constant Field Values

  - ### LF_SYMLINK

    static final byte LF_SYMLINK
    Symbolic link file type.
    See Also:
      Constant Field Values

  - ### LF_CHR

    static final byte LF_CHR
    Character device file type.
    See Also:
      Constant Field Values

  - ### LF_BLK

    static final byte LF_BLK
    Block device file type.
    See Also:
      Constant Field Values

  - ### LF_DIR

    static final byte LF_DIR
    Directory file type.
    See Also:
      Constant Field Values

  - ### LF_FIFO

    static final byte LF_FIFO
    FIFO (pipe) file type.
    See Also:
      Constant Field Values

  - ### LF_CONTIG

    static final byte LF_CONTIG
    Contiguous file type.
    See Also:
      Constant Field Values

  - ### LF_GNUTYPE_LONGLINK

    static final byte LF_GNUTYPE_LONGLINK
    Identifies the *next* file on the tape as having a long linkname.
    See Also:
      Constant Field Values

  - ### LF_GNUTYPE_LONGNAME

    static final byte LF_GNUTYPE_LONGNAME
    Identifies the *next* file on the tape as having a long name.
    See Also:
      Constant Field Values

  - ### LF_GNUTYPE_SPARSE

    static final byte LF_GNUTYPE_SPARSE
    Sparse file type.
    See Also:
      Constant Field Values

  - ### LF_PAX_EXTENDED_HEADER_LC

    static final byte LF_PAX_EXTENDED_HEADER_LC
    Identifies the entry as a Pax extended header.
    See Also:
      Constant Field Values

  - ### LF_PAX_EXTENDED_HEADER_UC

    static final byte LF_PAX_EXTENDED_HEADER_UC
    Identifies the entry as a Pax extended header (SunOS tar -E).
    See Also:
      Constant Field Values

  - ### LF_PAX_GLOBAL_EXTENDED_HEADER

    static final byte LF_PAX_GLOBAL_EXTENDED_HEADER
    Identifies the entry as a Pax global extended header.
    See Also:
      Constant Field Values

  - ### TMAGIC

    static final java.lang.String TMAGIC
    See Also:
      Constant Field Values

  - ### MAGIC_POSIX

    static final java.lang.String MAGIC_POSIX
    The magic tag representing a POSIX tar archive.
    See Also:
      Constant Field Values

  - ### VERSION_POSIX

    static final java.lang.String VERSION_POSIX
    See Also:
      Constant Field Values

  - ### GNU_TMAGIC

    static final java.lang.String GNU_TMAGIC
    The magic tag representing a GNU tar archive.
    See Also:
      Constant Field Values

  - ### VERSION_GNU_SPACE

    static final java.lang.String VERSION_GNU_SPACE
    See Also:
      Constant Field Values

  - ### VERSION_GNU_ZERO

    static final java.lang.String VERSION_GNU_ZERO
    See Also:
      Constant Field Values

  - ### GNU_LONGLINK

    static final java.lang.String GNU_LONGLINK
    The name of the GNU tar entry which contains a long name.
    See Also:
      Constant Field Values